<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

if(isset($_GET['id'])){
	$id = intval($_GET['id']);
	}else{
		header("Location: /index.php");
		}

$set['title']='Редактирование';

include_once '../../sys/inc/thead.php';

title();
aut();

echo '<div class="menu">';

if(!isset($user)){
	echo '<div class="err">Доступ закрыт.</div>';
	}else if($id==0 || $id<0){
		echo '<div class="err">Доступ закрыт.</div>';
		}else if(isset($user) && $user['level']<4){
			echo '<div class="err">Доступ закрыт.</div>';
			}else{

if($_GET['act']=='dir'){

if(isset($_POST['name']) && isset($_POST['pos'])){
	$name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
	$pos = intval($_POST['pos']);

if(strlen2($name)>32){
	$err='Слишком большое название директории';
	}else if(strlen2($name)<3){
		$err='Слишком короткое название директории';
		}else if($pos<0){
			$err='Неверный выбор положения директории';
			}else{

mysql_query("UPDATE `smiles_dir` SET `name` = '".$name."', `pos` = '".$pos."'  WHERE `id` = '".$id."' LIMIT 1");
mysql_query("OPTIMIZE TABLE `smiles_dir`");
msg('Директория <b>'.$name.'</b> отредактирована');
}
}

err();

$dir = mysql_fetch_array(mysql_query("SELECT * FROM `smiles_dir` WHERE `id` = '".$id."'"));
echo '<form method="post" action="edit.php?id='.$id.'&amp;act=dir">';
echo 'Название:(3-32)<br/><input name="name" maxlength="32" value="'.esc(stripcslashes(htmlspecialchars($dir['name']))).'"/><br/>';
echo 'Позиция:(от 1)<br/><input name="pos" value="'.intval($dir['pos']).'"/><br/>';
echo '<input value="Изменить" type="submit"/></form>';

echo '&#187;&nbsp;<a href="index.php">Отмена</a><br/>';
echo '&#187;&nbsp;<a href="../index.php">В админку</a><br/>';

}else if($_GET['act']=='smile'){

if(isset($_POST['sim'])){
	$sim = $_POST['sim'];

mysql_query("UPDATE `smiles_spis` SET `sim` = '".$sim."'  WHERE `id` = '".$id."' LIMIT 1");
mysql_query("OPTIMIZE TABLE `smiles_dir`");
msg('Смайл отредактирован');
}

$smile = mysql_fetch_array(mysql_query("SELECT * FROM `smiles_spis` WHERE `id` = '".$id."'"));
echo '<img src="/style/smiles/'.$smile['name'].'.gif" alt="'.$smile['name'].'"/>&nbsp;&#187;&nbsp;'.$smile['sim'].'<br/>';
echo '<form method="post" action="edit.php?id='.$id.'&amp;act=smile">';
echo '<b>Что заменяем?</b>:<br/><input name="sim" value="'.htmlspecialchars($smile['sim']).'"/><br/>';
echo '<input value="Изменить" type="submit"/></form>';

echo '&#187;&nbsp;<a href="index.php">Отмена</a><br/>';
echo '&#187;&nbsp;<a href="../index.php">В админку</a><br/>';
}else{
	echo '<div class="err">Неверный ввод</div>';
	}
	}

echo '</div>';
include_once '../../sys/inc/tfoot.php';
?>